const express = require('express')
const router = express.Router()
const country = require('../../controllers/admin/country')
const user = require('../../controllers/admin/user')
const admin = require('../../controllers/admin/admin')
const document = require('../../controllers/admin/document')
const email = require('../../controllers/admin/email')

router.post('/api/admin/addCountry', country.addNewCountry)
router.get('/api/admin/getCountryList', country.getCountryList)
router.post('/api/admin/updateCountry', country.updateCountry)
router.post('/api/admin/getUserReferralHistory', user.getUserReferralHistory)
router.post('/api/admin/approveOrDeclineUser', user.approveOrDeclineUser)
router.post('/api/admin/forgotPassword', admin.forgotPassword)
router.post('/api/admin/addDocument', document.addDocument)
router.post('/api/admin/documentList', document.documentList)
router.post('/api/admin/updateDocument', document.updateDocument)
router.post('/api/admin/uploadDocument', document.uploadDocument)
router.post('/api/admin/emailList', email.emailList)
router.post('/api/admin/emailDetail', email.emailDetail)
router.post('/api/admin/updateEmail', email.updateEmail)
router.post('/api//admin/updateEmailConfiguration', email.updateEmailConfiguration)

router.post('/api/admin/addAdmin', admin.addAdmin)
router.get('/api/admin/adminList', admin.adminList)
router.post('/api/admin/updateAdmin', admin.updateAdmin)
router.post('/api/admin/getAdminDetail', admin.getAdminDetail)
router.post('/api/admin/deleteAdmin', admin.deleteAdmin)

module.exports = router
